%define upstream_name    Apache-ASP
%define upstream_version 2.63

# filter out bogus auto-requires
%global __requires_exclude ^perl\\((the)

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	A perl ASP port to Apache
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz
Source1:	asp.html
Source2:	perl-Apache-ASP.conf

BuildRequires:	perl-devel
BuildRequires:	perl(Apache::Filter)
BuildRequires:	perl(base)
BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl(DB_File)
BuildRequires:	perl(HTML::Clean)
BuildRequires:	perl(MLDBM)
BuildRequires:  perl(MLDBM::Sync)
BuildRequires:  perl(HTML::FillInForm)
BuildRequires:  perl(XML::Sablotron)
BuildRequires:	perl(Tie::Cache)
BuildRequires:	perl(Tie::TextDir)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(XML::XSLT)
BuildRequires:  perl(XML::LibXSLT)
BuildRequires:	perl(CGI)
BuildRequires:	perl(DB_File)
BuildRequires:  perl(Apache::Filter)

BuildArch:	noarch

Provides:	perl(Apache::ASP::Share::CORE)
Provides:	Apache-ASP = %{version}-%{release}
Obsoletes:	Apache-ASP

Requires:	apache-mod_perl >= 1:2.0.2


%description
Apache::ASP provides an Active Server Pages port to the Apache Web Server
with Perl scripting only, and enables developing of dynamic web applications
with session management and embedded Perl code. There are also many powerful
extensions, including XML taglibs, XSLT rendering, and new events not
originally part of the ASP API!

This module works under the Apache Web Server with the mod_perl module
enabled. See https://www.apache.org and https://perl.apache.org for further
information.

This is a portable solution, similar to ActiveState's PerlScript for NT/IIS
ASP. Work has been done and will continue to make ports to and from this
implementation as smooth as possible.

For Apache::ASP downloading and installation, please read the INSTALL
section. For installation troubleshooting check the FAQ and the SUPPORT
sections.

For database access, ActiveX, scripting languages, and other miscellaneous
issues please read the FAQ section.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# optional test, causes trouble when Devel::Symdump is installed
rm -f t/stat_inc
make test

%install
%make_install

install -d -m 755 %{buildroot}%{_var}/www/perl
cp -pr site %{buildroot}%{_var}/www/perl/%{upstream_name}

install -d -m 755 %{buildroot}%{_var}/www/html/addon-modules/
cp %{SOURCE1} %{buildroot}%{_var}/www/html/addon-modules/%{upstream_name}.html

install -d -m 755 %{buildroot}%{webappconfdir}
install %{SOURCE2} -m 644  %{buildroot}%{webappconfdir}/perl-Apache-ASP.conf

%files
%doc CHANGES README
%config(noreplace) %{webappconfdir}/perl-Apache-ASP.conf
%dir %{_var}/www/perl/%{upstream_name}
%{_var}/www/perl/%{upstream_name}/*
%{perl_vendorlib}/Apache
%{perl_vendorlib}/Bundle/Apache
%{_mandir}/*/*
%{_bindir}/*
%{_var}/www/html/addon-modules/Apache-ASP.html


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 2.630.0-5.mga9
+ Revision: 1818753
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.630.0-4.mga8
+ Revision: 1503451
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.630.0-3.mga7
+ Revision: 1281588
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 2.630.0-2.mga7
+ Revision: 1220986
- filter out bogus auto-requires on perl(the)

* Tue Mar 20 2018 shlomif <shlomif> 2.630.0-1.mga7
+ Revision: 1210563
- New version 2.63

* Mon Oct 02 2017 tv <tv> 2.620.0-9.mga7
+ Revision: 1162970
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 2.620.0-8.mga6
+ Revision: 1022520
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2.620.0-7.mga6
+ Revision: 943462
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.620.0-6.mga5
+ Revision: 744009
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 guillomovitch <guillomovitch> 2.620.0-4.mga4
+ Revision: 548315
- fix compatibility with apache 2.4

* Fri Oct 18 2013 umeabot <umeabot> 2.620.0-3.mga4
+ Revision: 521721
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 pterjan <pterjan> 2.620.0-2.mga3
+ Revision: 391778
- Use webappconfdir instead of its old value
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 kharec <kharec> 2.620.0-1.mga2
+ Revision: 211888
- new version 2.62

* Fri Jan 28 2011 jquelin <jquelin> 2.610.0-2.mga1
+ Revision: 42951
- remove mdv macros
- mageia rebuild
- imported package perl-Apache-ASP


* Mon Feb 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.610.0-2mdv2010.1
+ Revision: 502378
- rely on filetrigger for reloading apache configuration begining with 2010.1, rpm-helper macros otherwise

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 2.610.0-1mdv2010.0
+ Revision: 402962
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.61-2mdv2009.0
+ Revision: 268364
- rebuild early 2009.0 package (before pixel changes)

* Fri May 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.61-1mdv2009.0
+ Revision: 213315
- new version
  uncompress additional sources
  large spec cleanup

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 02 2007 Funda Wang <fwang@mandriva.org> 2.59-4mdv2008.0
+ Revision: 94723
- fix provides

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2.59-3mdv2008.0
+ Revision: 43840
- fix deps


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.59-2mdv2007.0
+ Revision: 73193
- import perl-Apache-ASP-2.59-2mdk

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.59-2mdk
- Fix SPEC Using perl Policies
	- BuildRequires
	- URL
	- Source URL

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 2.59-1mdk
- 2.59
- renamed to perl-Apache-ASP
- added apache config

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.51-5mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.51-4mdk
- rebuild

